
From: Martin Schwidefsky <schwidefsky@de.ibm.com>

Got confused with the crypto update.  The last patch added a call to
destroy_workqueue() for a non-existent workqueue with the comment "Remove
device workqueue on module unload".  This is nonsense.  Remove the offending
hunk again.

Signed-off-by: Martin Schwidefsky <schwidefsky@de.ibm.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/s390/crypto/z90main.c |    3 ---
 1 files changed, 3 deletions(-)

diff -puN drivers/s390/crypto/z90main.c~s390-crypto-driver-patch-take-2 drivers/s390/crypto/z90main.c
--- devel/drivers/s390/crypto/z90main.c~s390-crypto-driver-patch-take-2	2005-09-14 22:13:39.000000000 -0700
+++ devel-akpm/drivers/s390/crypto/z90main.c	2005-09-14 22:13:39.000000000 -0700
@@ -682,9 +682,6 @@ z90crypt_cleanup_module(void)
 	del_timer(&config_timer);
 	del_timer(&cleanup_timer);
 
-	if (z90_device_work)
-		destroy_workqueue(z90_device_work);
-
 	destroy_z90crypt();
 
 	PRINTKN("Unloaded.\n");
_
